Subject: Re: bug#45898: 27.1; wedged in redisplay again

From: Gerd Möllmann <[email-masked]>
Date: Fri, 1 Jul 2022 10:49:04 +0200

> On 2022-07-01,, at 8:04 , Eli Zaretskii <[email-masked]> wrote:
> 
>> Would it be possible to run this with gprof profiling?  I think that could give some clues what is going on.
> 
> Or (on GNU/Linux only) under 'prof' -- which doesn't require you to
> build a special version of Emacs, and still produces detailed CPU
> usage info.

No one will care, that's why I'm telling:

I just found a way to profile Emacs on macOS 12.4, with Apple M1 chip, using Xcode 13.4.1.  Please see the attached shell script.  It seems that Gprof is not supported on my platform, like GDB.

I'm not yet sure how useful/reliable and whatnot that is, but it looks promising, and it doesn't require building with special compiler flags (I used -g -O0).